Rune Trades for DEX
curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/markets/dexs/trades/{dex}/{symbol} \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/markets/dexs/trades/{dex}/{symbol}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/markets/dexs/trades/{dex}/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": 3780,
"block": 840000,
"dex": "magiceden",
"mempool": false,
"price": 19.75,
"price_usd": 0.0575,
"side": "buy",
"symbol": "BTC-840000:28",
"timestamp": "2024-05-03T15:04:05Z",
"tx_hash": "2bebfc71ac93f02de19b28a8b438ed40413676f4c4c2609401a9a08ea508fd58",
"tx_index": 1
}
]
}{
"error": "Bad Request"
}{
"error": "Bad Request"
}DEX
Rune Trades for DEX
Get recent trade data for Bitcoin Runes on a specific DEX with price, volume, and transaction details.
GET
/
dexs
/
trades
/
{dex}
/
{symbol}
Rune Trades for DEX
Authorizations
Project API Key
Path Parameters
Name of the DEX
Available options:
all, magiceden, dotswap Symbol of the Rune asset trading pair (BTC-Rune ID)
Query Parameters
Mempool mode
Available options:
included, excluded, only Start timestamp in Unix
End timestamp in Unix
Limit number of Runes returned (min: 1, max: 50000)
Required range:
1 <= x <= 50000Sort by descending (desc) or ascending (asc)
Available options:
asc, desc Response
OK
Show child attributes
Show child attributes
Was this page helpful?

